メインコンテンツへスキップ
DELETE
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
Delete multiple devices of an organization
curl --request DELETE \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deviceIds": [
    1,
    2,
    3
  ]
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices"

payload = { "deviceIds": [1, 2, 3] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deviceIds: [1, 2, 3]})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deletedDevicesWithHistory": [
    {
      "id": 123,
      "memo": "foo bar",
      "type": "pc",
      "people": {
        "id": 1,
        "primaryEmail": "foo@gmail.com",
        "displayName": "Yamaha Honda",
        "avatar": "avatar_url",
        "username": "foo",
        "type": "employee",
        "status": "suspended",
        "suspendedAt": "2021-07-13T19:15:40.000Z",
        "createdAt": "2021-07-13T19:15:40.000Z"
      },
      "identity": {
        "employeeStatus": "active",
        "employeeType": "full_time_employee",
        "firstName": "First Name",
        "lastName": "Last Name",
        "id": "<string>",
        "organizationId": 123,
        "peopleId": "<string>",
        "managementType": "managed",
        "displayName": "Display Name",
        "avatar": "<string>",
        "primaryEmail": "primay@email.com",
        "secondaryEmails": [
          "secondary+1@email.com",
          "secondary+2@email.com"
        ],
        "companyName": "company name",
        "workLocation": "work location",
        "department": {
          "name": "department name"
        },
        "serviceCount": 123,
        "deviceCount": 123,
        "costs": [
          {
            "amount": 100,
            "currency": "usd"
          }
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "isManager": true,
        "isMock": true,
        "isEmailEditable": true,
        "hasPresetFieldsUnlinked": true
      },
      "preset": {
        "subtype": "other",
        "price": 123.321
      },
      "custom": {
        "custom_text_field": "foo",
        "custom_date_field": "2024-01-01",
        "custom_number_field": 123,
        "custom_dropdown_field": "Option Displayed Value A"
      },
      "createdAt": "2024-03-20T00:00:00Z",
      "updatedAt": "2024-03-20T00:00:00Z",
      "customFieldsWithMetadata": [
        {
          "id": 1,
          "attributeCode": "custom_text_field",
          "attributeName": "Text field",
          "value": "foo"
        },
        {
          "id": 2,
          "attributeCode": "custom_date_field",
          "attributeName": "Date field",
          "value": "2024-01-01"
        },
        {
          "id": 3,
          "attributeCode": "custom_number_field",
          "attributeName": "Number field",
          "value": 123
        },
        {
          "id": 4,
          "attributeCode": "custom_dropdown_field",
          "attributeName": "Dropdown field",
          "value": "Option Displayed Value A"
        }
      ],
      "histories": [
        {
          "id": 123,
          "deviceId": 321,
          "createdAt": "2017-07-21T17:32:28Z",
          "changes": {
            "people": {
              "id": 1,
              "identityId": "I3N5HB4B3G",
              "primaryEmail": "foo@gmail.com",
              "displayName": "Yamaha Honda",
              "avatar": "avatar_url",
              "username": "foo",
              "type": "employee",
              "status": "suspended",
              "managementType": "managed",
              "employeeType": "full_time_employee",
              "employeeStatus": "active",
              "suspendedAt": "2021-07-13T19:15:40.000Z",
              "createdAt": "2021-07-13T19:15:40.000Z",
              "accounts": [
                {
                  "id": "1#foo",
                  "serviceId": 42,
                  "serviceUniqueName": "github",
                  "serviceName": "GitHub",
                  "workspaceName": "mfi",
                  "accountKey": "foo@mfi.com",
                  "serviceIsCustom": false
                }
              ],
              "mergedPeople": [
                {
                  "id": 1,
                  "displayName": "Ron Lee",
                  "username": "ron.lee",
                  "primaryEmail": null
                }
              ]
            },
            "status": "decommissioned",
            "location1": "Tokyo",
            "location2": "msb",
            "assignmentStartDate": "2021-01-01",
            "assignmentEndDate": "2022-01-02",
            "comment": "Assigned to new employee"
          },
          "comment": "Assigned to new employee"
        }
      ]
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

ボディ

application/json
deviceIds
number[]
必須

Array of device IDs to delete. Maximum 100 IDs per request.

:
[1, 2, 3]

レスポンス

deletedDevicesWithHistory
object[]
必須

List of deleted devices with their history

最終更新日 2026年7月14日